Skip to main content
GET
/
api
/
disks
List all disks
curl --request GET \
  --url https://control.green.us-east-1.aws.prod.archil.com/api/disks \
  --header 'Authorization: <api-key>'
import requests

url = "https://control.green.us-east-1.aws.prod.archil.com/api/disks"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://control.green.us-east-1.aws.prod.archil.com/api/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "dsk-0123456789abcdef",
      "name": "<string>",
      "organization": "<string>",
      "provider": "<string>",
      "region": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "fsHandlerStatus": "<string>",
      "lastAccessed": "2023-11-07T05:31:56Z",
      "dataSize": 1,
      "monthlyUsage": "<string>",
      "mounts": [
        {
          "id": "<string>",
          "path": "<string>",
          "name": "<string>",
          "accessMode": "rw",
          "config": {
            "bucketName": "<string>",
            "bucketEndpoint": "<string>",
            "bucketPrefix": "<string>",
            "sessionId": "<string>"
          },
          "authError": "<string>"
        }
      ],
      "metrics": {
        "dataTransfer": "<string>",
        "requests": "<string>",
        "avgResponseTime": "<string>"
      },
      "connectedClients": [
        {
          "id": "<string>",
          "ipAddress": "<string>",
          "connectedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "authorizedUsers": [
        {
          "principal": "<string>",
          "nickname": "<string>",
          "tokenSuffix": "<string>",
          "token": "<string>",
          "identifier": "<string>",
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}
{
"success": false,
"error": "Invalid request parameters"
}
{
"success": false,
"error": "Invalid request parameters"
}

Authorizations

Authorization
string
header
required

API key

Query Parameters

limit
integer
default:50

Maximum number of items to return

Required range: x <= 100
cursor
string

Pagination cursor from a previous response

name
string

Filter disks by exact name match.

Response

List of disks

All API responses use a standard envelope with success: boolean and data (on success) or error: string (on failure). The ApiResponse_* schemas each define the specific data shape for their endpoint.

success
boolean
required
Example:

true

data
object[]
required